EDIT - feature request #8884

iiif manifest service: enrich metadata with information provided by other iiif image servers

03/09/2020 01:51 PM - Andreas Kohlbecker

Status: Rejected

Priority: Highest

Assignee: Andreas Kohlbecker
Category: cdmlib-remote

Target version:

Severity: normal

Start date:

Due date:

% Done: 0%
Estimated time: 0:00 hour

Description
copied from #8867

The service should enrich the manifest with metadata stored within the images. Metadata for images is provided by the REST service
media/{uuid}/metadata which causes the media file to be downloaded. This service should first of all check the server hosting the

media object for metadata. The new image server at the BGBM should be able to deliver this information.

e |lIF Presentation API (specs for the manifest file)

For the new BGBM image server (https://robcast.qithub.io/digilib/) digilib is being used.

Related issues:

Related to EDIT - feature request #9137: IPTC Keywords (and maybe other infor... Closed
Copied from EDIT - feature request #8867: media list services as iiif manifes... Closed
History

#1 - 03/09/2020 01:51 PM - Andreas Kohlbecker

- Copied from feature request #8867: media list services as iiif manifest service added

#2 - 04/08/2020 05:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.14 to Release 5.15

#3 - 06/23/2020 04:18 PM - Andreas Kohlbecker

- Target version changed from Release 5.15 to Release 5.18

#4 - 07/13/2020 12:53 PM - Andreas Kohlbecker

- Related to feature request #9137: IPTC Keywords (and maybe other information) is not shown in Universal Viewer yet added

#5 - 01/13/2021 04:13 PM - Andreas Kohlbecker

- Target version changed from Release 5.18 to Release 5.19

#6 - 01/27/2021 03:14 PM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#7 - 03/10/2021 02:54 PM - Andreas Miuller

- Target version changed from Release 5.21 to Release 5.22

#8 - 04/20/2021 08:40 AM - Andreas Kohlbecker
- Status changed from New to Rejected

- Target version deleted (Release 5.22)

The digilib does not provide any media metadata, so this ticket is obsolete.
https://dev.e-taxonomy.eu/redmine/issues/8867
https://iiif.io/api/presentation/2.1/#resource-structure
https://robcast.github.io/digilib/
https://pictures.bgbm.org/digilib/
http://www.tcpdf.org

